Module Module1

    Sub Main()

        Dim strFileName As String = My.Application.Info.DirectoryPath _
                                  & "\employee_comma.txt"
        Dim intEmpFileNbr As Integer

        Dim strEmpName As String
        Dim intDeptNbr As Integer
        Dim strJobTitle As String
        Dim dtmHireDate As Date
        Dim sngHrlyRate As Single

        Console.WriteLine("The records in the employee_comma.txt file are:")
        Console.WriteLine("")
        Console.WriteLine("EMPLOYEE NAME".PadRight(20) _
                        & Space(3) _
                        & "DEPT" _
                        & Space(3) _
                        & "JOB TITLE".PadRight(21) _
                        & Space(3) _
                        & "HIRE DATE " _
                        & Space(3) _
                        & "HRLY RATE")
        Console.WriteLine("-------------".PadRight(20) _
                        & Space(3) _
                        & "----" _
                        & Space(3) _
                        & "---------".PadRight(21) _
                        & Space(3) _
                        & "--------- " _
                        & Space(3) _
                        & "---------")

        intEmpFileNbr = FreeFile()

        FileOpen(intEmpFileNbr, strFileName, OpenMode.Input)

        Do Until EOF(intEmpFileNbr)

            ' Read one "record's worth" of fields into their 
            ' corresponding variables
            Input(intEmpFileNbr, strEmpName)
            Input(intEmpFileNbr, intDeptNbr)
            Input(intEmpFileNbr, strJobTitle)
            Input(intEmpFileNbr, dtmHireDate)
            Input(intEmpFileNbr, sngHrlyRate)

            ' Output the data to the console as a formatted line ... 
            Console.WriteLine(strEmpName.PadRight(20) _
                            & Space(3) _
                            & intDeptNbr.ToString.PadLeft(4) _
                            & Space(3) _
                            & strJobTitle.PadRight(21) _
                            & Space(3) _
                            & Format(dtmHireDate, "MM/dd/yyyy").PadRight(10) _
                            & Space(3) _
                            & Format(sngHrlyRate, "Currency").PadLeft(9))
        Loop

        FileClose(intEmpFileNbr)

        Console.WriteLine("")
        Console.WriteLine("Press Enter to close this window.")
        Console.ReadLine()

    End Sub

End Module
